  fName = "1.txt"  ' 
  pathTmp = "tmp"

  Set objArgs = WScript.Arguments  ' 
  if objArgs.Count=2 then
     fName   = objArgs(0)
     pathTmp = objArgs(1)
  else
     msgBox("  !")
  end if  
  Set objArgs = Nothing

  'msgBox(fName)
  'msgBox(pathTmp) 

  set oFS = CreateObject("Scripting.FileSystemObject")
  Set outFile = oFS.CreateTextFile(fName, True)

  outFile.WriteLine "***********************************"
  outFile.WriteLine "*    xlsx"
  outFile.WriteLine "***********************************"
  outFile.WriteLine "*"

  '*********************************
  '   
  '*********************************
  Set objXMLDoc = CreateObject("Microsoft.XMLDOM")
  objXMLDoc.async = False
  objXMLDoc.load(pathTmp & "\docProps\custom.xml")

  If objXMLDoc.parseError.errorCode Then
     Set parseError = objXMLDoc.parseError
     mess = _
     " : " & parseError.errorCode & vbCrLf & _
     "  : " & parseError.filepos & vbCrLf & _
     ": " & parseError.line & vbCrLf & _
     "  : " & parseError.linepos & vbCrLf & _
     ": " & parseError.reason & vbCrLf & _
     ": " & parseError.srcText & vbCrLf & _
     ": " & parseError.url & vbCrLf
     msgbox(mess)
     Set parseError = Nothing
     Set objXMLDoc = Nothing
     Set outFile = Nothing
     Set oFS = Nothing
     WScript.Quit
  End If

  Set Root = objXMLDoc.documentElement

  Set NodeList = Root.getElementsByTagName("property")
  For Each Elem In NodeList
      nameSec=Elem.getAttribute("name")
      if left(nameSec,3)="par" then
         SET per = Elem.getElementsByTagName("vt:lpwstr")(0)
         if not per is Nothing then
            if nameSec="parGroup" then
               outFile.WriteLine "Group:" & per.text
            elseif nameSec="parSubGroup" then
               outFile.WriteLine "SubGroup:" & per.text
            elseif nameSec="parBlanc" then
               outFile.WriteLine "Blanc:" & per.text
            end if
         end if
      end if 
  Next
  outFile.WriteLine "*"
  Set NodeList = Nothing

  outFile.WriteLine "*********  *******************"
  outFile.WriteLine "[]"
  num=0
  Set NodeList = Root.getElementsByTagName("property")
  For Each Elem In NodeList
      nameSec=Elem.getAttribute("name")
      if left(nameSec,3)="sec" then
         num=num+1
         outFile.WriteLine "SecBEG"
         outFile.WriteLine "secnum:" & num
         outFile.WriteLine "secname:" & nameSec
         SET per = Elem.getElementsByTagName("vt:lpwstr")(0)
         if not per is Nothing then
            poz1=InStr(1,per.text,",")
            poz2=InStr(poz1+1,per.text,",")
            poz3=InStr(poz2+1,per.text,",")
            poz4=InStr(poz3+1,per.text,",")
            poz5=InStr(poz4+1,per.text,",")
            outFile.WriteLine "secsh:" & mid(per.text,1,poz1-1)
            outFile.WriteLine "secrow:" & mid(per.text,poz1+1,poz2-poz1-1)
            outFile.WriteLine "seccol:" & mid(per.text,poz2+1,poz3-poz2-1)
            outFile.WriteLine "secrows:" & mid(per.text,poz3+1,poz4-poz3-1)
            outFile.WriteLine "seccols:" & mid(per.text,poz4+1,poz5-poz4-1)
            outFile.WriteLine "secgroup:" & mid(per.text,poz5+1,len(rtrim(per.text)))
         end if
         outFile.WriteLine "SecEND"
         outFile.WriteLine "*"
      end if 
  Next
  Set NodeList = Nothing
  Set NodeRoot = Nothing
  Set objXMLDoc = Nothing

  '*********************************
  '     
  '*********************************
  Set objXMLDoc = CreateObject("Microsoft.XMLDOM")
  objXMLDoc.async = False
  objXMLDoc.load(pathTmp & "\xl\styles.xml")

  If objXMLDoc.parseError.errorCode Then
     Set parseError = objXMLDoc.parseError
     mess = _
     " : " & parseError.errorCode & vbCrLf & _
     "  : " & parseError.filepos & vbCrLf & _
     ": " & parseError.line & vbCrLf & _
     "  : " & parseError.linepos & vbCrLf & _
     ": " & parseError.reason & vbCrLf & _
     ": " & parseError.srcText & vbCrLf & _
     ": " & parseError.url & vbCrLf
     msgbox(mess)
     Set parseError = Nothing
     Set objXMLDoc = Nothing
     Set outFile = Nothing
     Set oFS = Nothing
     WScript.Quit
  End If

  Set Root = objXMLDoc.documentElement

  outFile.WriteLine "*********  *******************"
  outFile.WriteLine "[]"
  num=0
  Set NodeList = Root.getElementsByTagName("font")
  For Each Elem In NodeList
      num=num+1
      outFile.WriteLine "FontBEG"
      outFile.WriteLine "fnum:" & num
      SET per = Elem.getElementsByTagName("name")(0)
      if not per is Nothing then
         outFile.WriteLine "fname:" & per.getAttribute("val")
      end if
      SET per = Elem.getElementsByTagName("sz")(0)
      if not per is Nothing then
         outFile.WriteLine "fsize:" & per.getAttribute("val")
      end if
      SET per = Elem.getElementsByTagName("color")(0)
      if not per is Nothing then
         outFile.WriteLine "fcolor:" & per.getAttribute("rgb")
      end if
      SET per = Elem.getElementsByTagName("b")(0)
      if not per is Nothing then
         outFile.WriteLine "fbold:" & per.getAttribute("val")
      end if
      SET per = Elem.getElementsByTagName("i")(0)
      if not per is Nothing then
         outFile.WriteLine "fitalic:" & per.getAttribute("val")
      end if
      SET per = Elem.getElementsByTagName("u")(0)
      if not per is Nothing then
         outFile.WriteLine "fund:" & per.getAttribute("val")
      end if
      SET per = Elem.getElementsByTagName("s")(0)
      if not per is Nothing then
         outFile.WriteLine "fstrike:" & per.getAttribute("val")
      end if
      outFile.WriteLine "FontEND"
      outFile.WriteLine "*"
  Next
  Set NodeList = Nothing

  outFile.WriteLine "*********  *******************"
  outFile.WriteLine "[]"
  num=0
  Set NodeList = Root.getElementsByTagName("fill")
  For Each Elem In NodeList
      num=num+1
      outFile.WriteLine "FillBEG"
      outFile.WriteLine "finum:" & num
      SET per = Elem.getElementsByTagName("patternFill")(0)
      if not per is Nothing then
         outFile.WriteLine "fitype:" & per.getAttribute("patternType")
      end if
      SET per = Elem.getElementsByTagName("fgColor")(0)
      if not per is Nothing then
         outFile.WriteLine "fifg:" & per.getAttribute("rgb")
      end if
      SET per = Elem.getElementsByTagName("bgColor")(0)
      if not per is Nothing then
         outFile.WriteLine "fibg:" & per.getAttribute("rgb")
      end if
      outFile.WriteLine "FillEND"
      outFile.WriteLine "*"
  Next
  Set NodeList = Nothing

  outFile.WriteLine "*********  *******************"
  outFile.WriteLine "[]"
  num=0
  Set NodeList = Root.getElementsByTagName("border")
  For Each Elem In NodeList
      num=num+1
      outFile.WriteLine "BorderBEG"
      outFile.WriteLine "bnum:" & num
      SET per = Elem.getElementsByTagName("left")(0)
      if not per is Nothing then
         outFile.WriteLine "sleft:" & per.getAttribute("style")
         SET per2 = per.getElementsByTagName("color")(0)
         if not per2 is Nothing then
            outFile.WriteLine "cleft:" & per.getAttribute("rgb")
         end if
      end if
      SET per = Elem.getElementsByTagName("top")(0)
      if not per is Nothing then
         outFile.WriteLine "stop:" & per.getAttribute("style")
         SET per2 = per.getElementsByTagName("color")(0)
         if not per2 is Nothing then
            outFile.WriteLine "ctop:" & per.getAttribute("rgb")
         end if
      end if
      SET per = Elem.getElementsByTagName("right")(0)
      if not per is Nothing then
         outFile.WriteLine "sright:" & per.getAttribute("style")
         SET per2 = per.getElementsByTagName("color")(0)
         if not per2 is Nothing then
            outFile.WriteLine "cright:" & per.getAttribute("rgb")
         end if
      end if
      SET per = Elem.getElementsByTagName("bottom")(0)
      if not per is Nothing then
         outFile.WriteLine "sbottom:" & per.getAttribute("style")
         SET per2 = per.getElementsByTagName("color")(0)
         if not per2 is Nothing then
            outFile.WriteLine "cbottom:" & per.getAttribute("rgb")
         end if
      end if
      outFile.WriteLine "BorderEND"
      outFile.WriteLine "*"
  Next
  Set NodeList = Nothing

  outFile.WriteLine "*********  *******************"
  outFile.WriteLine "[]"
  num=0
  Set NodeList = Root.getElementsByTagName("numFmt")
  For Each Elem In NodeList
      num=num+1
      outFile.WriteLine "FormBEG"
      outFile.WriteLine "fonum:" & num
      outFile.WriteLine "foformat:" & Elem.getAttribute("formatCode")
      outFile.WriteLine "FormEND"
      outFile.WriteLine "*"
  Next
  Set NodeList = Nothing

  outFile.WriteLine "*********  *******************"
  outFile.WriteLine "[]"
  num=0
  Set NodeRoot = Root.getElementsByTagName("cellXfs")(0)
  Set NodeList = NodeRoot.getElementsByTagName("xf")
  For Each Elem In NodeList
      num=num+1
      outFile.WriteLine "StBEG"
      outFile.WriteLine "stnum:" & num
      outFile.WriteLine "stformat:" & Elem.getAttribute("numFmtId")
      outFile.WriteLine "stfont:" & Elem.getAttribute("fontId")
      outFile.WriteLine "stfill:" & Elem.getAttribute("fillId")
      outFile.WriteLine "stborder:" & Elem.getAttribute("borderId")
      SET per = Elem.getElementsByTagName("alignment")(0)
      if not per is Nothing then
         outFile.WriteLine "stalh:" & per.getAttribute("horizontal")
         outFile.WriteLine "stalv:" & per.getAttribute("vertical")
         outFile.WriteLine "strot:" & per.getAttribute("textRotation")
         outFile.WriteLine "stwrap:" & per.getAttribute("wrapText")
         outFile.WriteLine "stindent:" & per.getAttribute("indent")
      end if
      outFile.WriteLine "StEND"
      outFile.WriteLine "*"
  Next
  Set NodeList = Nothing
  Set NodeRoot = Nothing
  Set objXMLDoc = Nothing

  '*********************************
  '   
  '*********************************
  Set objXMLDoc = CreateObject("Microsoft.XMLDOM")
  objXMLDoc.async = False
  objXMLDoc.load(pathTmp & "\xl\workbook.xml")

  If objXMLDoc.parseError.errorCode Then
     Set parseError = objXMLDoc.parseError
     mess = _
     " : " & parseError.errorCode & vbCrLf & _
     "  : " & parseError.filepos & vbCrLf & _
     ": " & parseError.line & vbCrLf & _
     "  : " & parseError.linepos & vbCrLf & _
     ": " & parseError.reason & vbCrLf & _
     ": " & parseError.srcText & vbCrLf & _
     ": " & parseError.url & vbCrLf
     msgbox(mess)
     Set parseError = Nothing
     Set objXMLDoc = Nothing
     Set outFile = Nothing
     Set oFS = Nothing
     WScript.Quit
  End If

  Set Root = objXMLDoc.documentElement
  outFile.WriteLine "*********  *******************"
  outFile.WriteLine "[]"
  num=0
  Set NodeList = Root.getElementsByTagName("sheet")
  For Each Elem In NodeList
      num=num+1
      outFile.WriteLine "ShBEG"
      outFile.WriteLine "shnum:" & num
      outFile.WriteLine "shname:" & Elem.getAttribute("name")
      outFile.WriteLine "ShEND"
      outFile.WriteLine "*"
  Next
  kolSheets=num
  Set NodeList = Nothing
  Set NodeRoot = Nothing
  Set objXMLDoc = Nothing

  '****************************************** 
  '    ()
  '******************************************
  Set objXMLDoc = CreateObject("Microsoft.XMLDOM")
  objXMLDoc.async = False
  objXMLDoc.load(pathTmp & "\xl\sharedStrings.xml")

  If objXMLDoc.parseError.errorCode Then
     Set parseError = objXMLDoc.parseError
     mess = _
     " : " & parseError.errorCode & vbCrLf & _
     "  : " & parseError.filepos & vbCrLf & _
     ": " & parseError.line & vbCrLf & _
     "  : " & parseError.linepos & vbCrLf & _
     ": " & parseError.reason & vbCrLf & _
     ": " & parseError.srcText & vbCrLf & _
     ": " & parseError.url & vbCrLf
     msgbox(mess)
     Set parseError = Nothing
     Set objXMLDoc = Nothing
     Set outFile = Nothing
     Set oFS = Nothing
     WScript.Quit
  End If

  Set Root = objXMLDoc.documentElement
  outFile.WriteLine "*********  () *******************"
  outFile.WriteLine "[]"
  num=0
  Set NodeList = Root.getElementsByTagName("t")
  For Each Elem In NodeList
      num=num+1
      outFile.WriteLine "StrBEG"
      outFile.WriteLine "strnum:" & num
      outFile.WriteLine "strval:" & Elem.text
      outFile.WriteLine "StrEND"
      outFile.WriteLine "*"
  Next
  Set NodeList = Nothing
  Set NodeRoot = Nothing
  Set objXMLDoc = Nothing

  '****************************************** 
  '   
  '******************************************
 For numSheet=1 to kolSheets
  Set objXMLDoc = CreateObject("Microsoft.XMLDOM")
  objXMLDoc.async = False
  objXMLDoc.load(pathTmp & "\xl\worksheets\sheet" & numSheet & ".xml")

  If objXMLDoc.parseError.errorCode Then
     Set parseError = objXMLDoc.parseError
     mess = _
     " : " & parseError.errorCode & vbCrLf & _
     "  : " & parseError.filepos & vbCrLf & _
     ": " & parseError.line & vbCrLf & _
     "  : " & parseError.linepos & vbCrLf & _
     ": " & parseError.reason & vbCrLf & _
     ": " & parseError.srcText & vbCrLf & _
     ": " & parseError.url & vbCrLf
     msgbox(mess)
     Set parseError = Nothing
     Set objXMLDoc = Nothing
     Set outFile = Nothing
     Set oFS = Nothing
     WScript.Quit
  End If

  Set Root = objXMLDoc.documentElement
  outFile.WriteLine "*********  *******************"
  outFile.WriteLine "[]"
  num=0
  Set NodeList = Root.getElementsByTagName("cols")(0)
  Set Par = NodeList.getElementsByTagName("col")
  For Each Elem In Par
      max = Elem.getAttribute("max")
      if max < 200 then
         num=num+1
         outFile.WriteLine "ColBeg"
         outFile.WriteLine "colnum:" & num
         outFile.WriteLine "colb:" & Elem.getAttribute("min")
         outFile.WriteLine "cole:" & Elem.getAttribute("max")
         outFile.WriteLine "colw:" & Elem.getAttribute("width")
         outFile.WriteLine "colh:" & Elem.getAttribute("hidden")
         outFile.WriteLine "colsheet:" & numSheet
         outFile.WriteLine "ColEND"
         outFile.WriteLine "*"
      End If
  Next
  Set NodeList = Nothing

  outFile.WriteLine "*********  *******************"
  outFile.WriteLine "[]"
  Set NodeList = Root.getElementsByTagName("row")
  For Each Elem In NodeList
      cHeight = Elem.getAttribute("customHeight")
      cHt = Elem.getAttribute("ht")
      if (cHeight = "true") and (cHt<>"12.75") then
         outFile.WriteLine "RowBeg"
         outFile.WriteLine "rrow:" & Elem.getAttribute("r")
         outFile.WriteLine "rheight:" & Elem.getAttribute("ht")
         outFile.WriteLine "rsh:" & numSheet
         outFile.WriteLine "RowEND"
         outFile.WriteLine "*"
      End If
  Next
  Set NodeList = Nothing

  outFile.WriteLine "*********  *******************"
  outFile.WriteLine "[]"
  Set NodeList = Root.getElementsByTagName("mergeCell")
  For Each Elem In NodeList
      outFile.WriteLine "MergeBEG"
      outFile.WriteLine "mergeref:" & Elem.getAttribute("ref")
      outFile.WriteLine "mergesh:" & numSheet
      outFile.WriteLine "MergeEND"
      outFile.WriteLine "*"
  Next
  Set NodeList = Nothing

  outFile.WriteLine "*********  *******************"
  outFile.WriteLine "[]"
  outFile.WriteLine "parBEG"
  outFile.WriteLine "parsh:" & numSheet
  Set Elem = Root.getElementsByTagName("pageMargins")(0)
  outFile.WriteLine "parmleft:" & Elem.getAttribute("left")
  outFile.WriteLine "parmright:" & Elem.getAttribute("right")
  outFile.WriteLine "parmtop:" & Elem.getAttribute("top")
  outFile.WriteLine "parmbottom:" & Elem.getAttribute("bottom")
  Set Elem = Root.getElementsByTagName("pageSetup")(0)
  outFile.WriteLine "parorient:" & Elem.getAttribute("orientation")
  outFile.WriteLine "parscale:" & Elem.getAttribute("scale")
  outFile.WriteLine "parfheight:" & Elem.getAttribute("fitToHeight")
  outFile.WriteLine "parfwight:" & Elem.getAttribute("fitToWidth")
  Set Elem = Root.getElementsByTagName("pageSetUpPr")(0)
  outFile.WriteLine "parfit:" & Elem.getAttribute("fitToPage")
  outFile.WriteLine "parEND"
  outFile.WriteLine "*"
  Set NodeList = Nothing

  outFile.WriteLine "*********  *******************"
  outFile.WriteLine "[]"
  Set NodeList = Root.getElementsByTagName("c")
  For Each Elem In NodeList
      outFile.WriteLine "ceBEG"
      outFile.WriteLine "cecolrow:" & Elem.getAttribute("r") 
      outFile.WriteLine "cesh:" & numSheet
      outFile.WriteLine "cestyle:" & Elem.getAttribute("s")
      typeVal=Elem.getAttribute("t")
      outFile.WriteLine "cetype:" & typeVal
      if (typeVal="s" or typeVal="n") then 
         Set Par = Elem.getElementsByTagName("v")(0)
         outFile.WriteLine "ceval:" & Elem.text
      elseif typeVal="" then 
         Set Par = Elem.getElementsByTagName("f")(0)
         outFile.WriteLine "ceval:" & Elem.text
      end if
      outFile.WriteLine "ceEND"
      outFile.WriteLine "*"
  Next

  Set NodeList = Nothing
  Set NodeRoot = Nothing
  Set objXMLDoc = Nothing
 Next

  outFile.Close
  Set outFile = Nothing
  Set oFS = Nothing
